const { createWriteStream, readdir } = require('fs');
const { promisify } = require('util');

const path = require('path');
const readDir = promisify(readdir);

const getTemplateDir = async () => {
  const contents = await readDir(
    path.join(__dirname, '..', '..', 'templates'),
    { withFileTypes: true }
  );
  const directories = contents
    .filter((p) => p.isDirectory())
    .map((p) => p.name);

  return directories;
};

module.exports = { getTemplateDir };
