import { Button } from '@/components/ui/Button';

export async function generateMetadata() {
  return {
    title: 'Home',
    description: 'Page where you can find our home',
  };
}

export default function SignIn() {
  return (
    <div className="flex w-full flex-col items-center gap-10 text-center">
      <div className="flex max-w-[400px] flex-col items-center justify-center gap-10">
        <div className="flex flex-col items-center justify-center gap-7 bg-background">
          <h4 className="text-xl font-bold">Log In to Existing Account</h4>

          <input
            type="email"
            className="block w-full min-w-[300px] rounded-lg bg-gray-50 p-2 text-sm text-gray-900 shadow-md outline-none"
            placeholder="Email"
            autoComplete="off"
          />
          <input
            type="password"
            className="block w-full min-w-[300px] rounded-lg bg-gray-50 p-2 text-sm text-gray-900 shadow-md outline-none"
            placeholder="Password"
            required
          />
          <Button className="w-fit min-w-[150px] rounded-full bg-primaryLighter text-white shadow-md hover:bg-primaryLighter">
            Login
          </Button>
        </div>

        <div className="flex flex-col gap-3">
          <p className="text-sm font-bold">
            Use your Social Accounts to Sign-In
          </p>
          <div className="flex w-full justify-between gap-3">
            <img
              src="https://i.imgur.com/1rntNx2.jpeg"
              alt="apple_login"
              className="rounded-xl shadow-md"
              width={40}
            />
            <img
              src="https://i.imgur.com/CXXNvGn.jpeg"
              alt="google_login"
              className="rounded-xl shadow-md"
              width={40}
            />
            <img
              src="https://i.imgur.com/avYhaSv.jpeg"
              alt="facebook_login"
              className="rounded-xl shadow-md"
              width={40}
            />
          </div>
        </div>
      </div>
    </div>
  );
}
