import '../styles/global.css';

import type { Metadata } from 'next';
import { Inter as FontSans } from 'next/font/google';

import { Header, Main } from '@/components/layouts';
import { Footer } from '@/components/layouts/Footer';
import { Background } from '@/components/ui/Background';
import { cn } from '@/lib/utils';

const fontSans = FontSans({
  subsets: ['latin'],
  variable: '--font-sans',
});

export const metadata: Metadata = {
  title: 'Paperplay',
  description: 'The official site for artists and talents',
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en">
      <body
        className={cn(
          'min-h-screen bg-background font-sans antialiased relative flex flex-col justify-between',
          fontSans.variable,
        )}
      >
        <Background />
        <Header />
        <Main>{children}</Main>
        <Footer />
      </body>
    </html>
  );
}
