import Link from 'next/link';

import { PayperOption } from '@/components/modules/Home/PayperOption';

export async function generateMetadata() {
  return {
    title: 'Home',
    description: 'Page where you can find our home',
  };
}

export default function Home() {
  return (
    <div className="flex w-full flex-col items-center justify-center gap-10 p-4 text-center">
      <h2 className="text-3xl font-medium text-primary">Book Gigs with Ease</h2>

      <div className="flex flex-col justify-center gap-1 bg-background text-xl font-bold">
        <p>The simplest way to find talents and get booked.</p>
        <p>
          Connecting{' '}
          <span className="text-primaryLighter">Independent Talent</span> with{' '}
          <span className="text-primaryLighter">Local Venues</span>.
        </p>
      </div>

      <div className="flex w-full max-w-[800px] flex-col justify-around gap-10 md:flex-row">
        <PayperOption
          title="I want to book a talent"
          description="Post a job, Browser and Book Entertainers"
          btnText="Book Talents"
          url="/artirts-portal"
          src="https://i.imgur.com/asfcucU.jpeg"
        />
        <PayperOption
          title="I'm an Artist"
          description="Pitch to venues & events"
          btnText="Artist's Portal"
          url="/book-talent"
          src="https://i.imgur.com/s07JzNc.jpeg"
        />
      </div>

      <div>
        <p>Just looking around?</p>
        <Link href="/#" className="font-bold underline underline-offset-4">
          Enter as a Guest
        </Link>
      </div>
    </div>
  );
}
