import Link from 'next/link';

import { Search } from '../modules/Search';

const navigation = ['Look for Gigs', 'Find Talents', 'Search Establishments'];

export const Header = () => {
  return (
    <nav className="container relative mx-auto flex w-full max-w-[1200px] flex-wrap items-center justify-between gap-4 p-8 px-3 py-14 lg:justify-between">
      <Link href="/" className="text-xl font-bold text-primary">
        paperplay
      </Link>

      <div className="hidden text-center lg:flex lg:items-center">
        <ul className="flex-1 list-none items-center justify-end pt-6 lg:flex lg:pt-0">
          {navigation.map((menu) => (
            <li className="nav__item mr-3" key={menu}>
              <Link
                href="/"
                className="inline-block rounded-md px-4 py-2 text-sm font-bold text-gray-800 underline"
              >
                {menu}
              </Link>
            </li>
          ))}
        </ul>
      </div>

      <div className="nav__item mr-3 flex items-center justify-end space-x-4">
        <Search />
        <Link href="/sign-in" className="text-sm font-bold">
          Log in
        </Link>
      </div>
    </nav>
  );
};
