import Link from 'next/link';

import { Button } from '@/components/ui/Button';

type PaperOption = {
  title: string;
  description: string;
  url: string;
  btnText: string;
  src: string;
};

export const PayperOption = ({
  title,
  description,
  btnText,
  url,
  src,
}: PaperOption) => {
  return (
    <div className="flex flex-col items-center gap-3">
      <img src={src} alt="paper_option" width={100} />
      <h3 className="text-sm font-bold">{title}</h3>
      <p className="text-xs">{description}</p>
      <Link href={url}>
        <Button className="w-fit min-w-[150px] rounded-full bg-primaryLighter text-white shadow-md hover:bg-primaryLighter">
          {btnText}
        </Button>
      </Link>
    </div>
  );
};
