import { SearchIcon } from '@/components/ui/Icons/Search';
import { logger } from '@/lib/Logger';

export const Search = () => {
  logger.info('Search Component');

  return (
    <form className="mx-auto max-w-md">
      <label
        htmlFor="default-email"
        className="sr-only mb-2 text-sm font-medium text-gray-900"
      >
        Search
      </label>
      <div className="relative">
        <div className="pointer-events-none absolute inset-y-0 start-0 flex items-center ps-3">
          <SearchIcon />
        </div>

        <input
          type="email"
          id="default-email"
          className="bg-muted block w-full bg-gray-50 p-2 ps-10 text-sm font-bold text-gray-900 opacity-[0.6] outline-none"
          required
        />
        <button
          type="submit"
          className="fond-bold absolute bottom-0 end-0 h-full rounded-l-full bg-primary px-3 text-xs text-white focus:outline-none"
        >
          Select
        </button>
      </div>
    </form>
  );
};
