import Link from 'next/link';

type TRoleOptions = {
  src: string;
  titleOptionOne: string;
  descriptionOptionOne: string;
  titleOptionTwo: string;
  descriptionOptionTwo: string;
};

export const RoleOptions = ({
  src,
  titleOptionOne,
  titleOptionTwo,
  descriptionOptionOne,
  descriptionOptionTwo,
}: TRoleOptions) => {
  return (
    <div className="flex flex-col items-center gap-7 px-4">
      <img
        src={src}
        className="rounded-full shadow-md"
        alt="proflile"
        width={150}
      />

      <Link className="text-xs font-bold underline" href="/">
        Go to my profile
      </Link>

      <div className="flex w-full max-w-[500px] flex-col items-center justify-around gap-10 md:flex-row">
        <div className="min-h-[88px] max-w-[227px] rounded-lg bg-primaryLighter p-4 text-white shadow-md">
          <h5 className="font-bold">{titleOptionOne}</h5>
          <p className="text-xs">{descriptionOptionOne}</p>
        </div>
        <div className="min-h-[88px] max-w-[227px] rounded-lg bg-black p-4 text-white shadow-md">
          <h5 className="font-bold">{titleOptionTwo}</h5>
          <p className="text-xs">{descriptionOptionTwo}</p>
        </div>
      </div>
    </div>
  );
};
