const Ball = ({ className }: { className: string }) => (
  <span className={`absolute block ${className}`} />
);

export const Background = () => (
  <div className="absolute left-0 top-0 z-[-1] h-screen w-full bg-[transparent]">
    <Ball className="left-[50px] top-[50px] size-[10px] rounded-full bg-primary opacity-[0.6]" />
    <Ball className="left-[30%] top-[30%] size-[20px] rounded-full bg-primary opacity-[0.6]" />
    <Ball className="left-[15%] top-[40%] size-[20px] rounded-full bg-primary opacity-[0.6]" />
    <Ball className="bottom-[30%] left-[10%] size-[15px] rounded-full bg-primary opacity-[0.6]" />
    <Ball className="bottom-[22%] right-[48%] size-[30px] rounded-full bg-primary opacity-[0.6]" />

    <Ball className="right-[20%] top-[30%] size-[15px] rounded-full bg-primary opacity-[0.6]" />
    <Ball className="right-[10%] top-[40%] size-[15px] rounded-full bg-primary opacity-[0.6]" />
    <Ball className="bottom-[30%] right-[15%] size-[15px] rounded-full bg-primary opacity-[0.6]" />

    <Ball className="bg-muted left-[60px] top-[30px] size-[15px] rounded-full opacity-[0.6]" />
    <Ball className="bg-muted left-[29%] top-[34%] size-[15px] rounded-full opacity-[0.6]" />
    <Ball className="bg-muted left-[10%] top-[44%] size-[25px] rounded-full opacity-[0.6]" />
    <Ball className="bg-muted bottom-[22%] left-[7%] size-[55px] rounded-full opacity-[0.6]" />
    <Ball className="bg-muted right-[15%] top-[35%] size-[35px] rounded-full opacity-[0.6]" />
    <Ball className="bg-muted bottom-[26%] right-[16%] size-[15px] rounded-full opacity-[0.6]" />
    <Ball className="bg-muted bottom-[26%] right-[45%] size-[15px] rounded-full opacity-[0.6]" />
  </div>
);
